Skip to main content
`Ctrl`+`K`

# networkx.classes.coreviews.UnionAdjacency

class UnionAdjacency(succ, pred)

  A read-only union of dict Adjacencies as a Map of Maps of Maps.

  The two input dict-of-dict-of-dicts represent the union of `G.succ` and `G.pred`. Return values are UnionAtlas The inner level of dict is read-write. But the middle and outer levels are read-only.

  succ : a dict-of-dict-of-dict {node: nbrdict} pred : a dict-of-dict-of-dict {node: nbrdict} The keys for the two dicts should be the same

  See also

  `UnionAtlas`

    View into dict-of-dict

  `UnionMultiAdjacency`

    View into dict-of-dict-of-dict-of-dict

  __init__(succ, pred)

  Methods

  `copy`() |
  `get`(k[,d]) |
  `items`() |
  `keys`() |
  `values`() |